package com.ruoyi.ss.risk.service;

import java.util.List;
import com.ruoyi.ss.risk.domain.Risk;
import com.ruoyi.ss.risk.domain.RiskVO;
import com.ruoyi.ss.risk.domain.RiskQuery;

/**
 * 风控Service接口
 *
 * @author ruoyi
 * @date 2024-10-18
 */
public interface IRiskService
{
    /**
     * 查询风控
     *
     * @param riskId 风控主键
     * @return 风控
     */
    public RiskVO selectRiskByRiskId(Long riskId);

    /**
     * 查询风控列表
     *
     * @param risk 风控
     * @return 风控集合
     */
    public List<RiskVO> selectRiskList(RiskQuery risk);

    /**
     * 新增风控
     *
     * @param risk 风控
     * @return 结果
     */
    public int insertRisk(Risk risk);

    /**
     * 修改风控
     *
     * @param risk 风控
     * @return 结果
     */
    public int updateRisk(Risk risk);

    /**
     * 批量删除风控
     *
     * @param riskIds 需要删除的风控主键集合
     * @return 结果
     */
    public int deleteRiskByRiskIds(Long[] riskIds);

    /**
     * 删除风控信息
     *
     * @param riskId 风控主键
     * @return 结果
     */
    public int deleteRiskByRiskId(Long riskId);
}
